org.jfree.chart.axis

## Class AxisState

- java.lang.Object
- - org.jfree.chart.axis.AxisState

    public class AxisState
    extends java.lang.Object

Instances of this class are used to carry state information for an axis during the drawing process. By retaining this information in a separate object, it is possible for multiple threads to draw the same axis to different output targets (each drawing will maintain separate state information).

### Constructor Summary

Constructors
Constructor and Description
`AxisState()` Creates a new axis state.
`AxisState(double cursor)` Creates a new axis state.

### Method Summary

Methods
`void` `cursorDown(double units)` Moves the cursor down by the specified number of Java 2D units.
`void` `cursorLeft(double units)` Moves the cursor left by the specified number of Java 2D units.
`void` `cursorRight(double units)` Moves the cursor right by the specified number of Java 2D units.
`void` `cursorUp(double units)` Moves the cursor up by the specified number of Java 2D units.
`double` `getCursor()` Returns the cursor position.
`double` `getMax()` Returns the maximum width/height.
`java.util.List` `getTicks()` Returns the list of ticks.
`void` `moveCursor(double units, org.jfree.ui.RectangleEdge edge)` Moves the cursor outwards by the specified number of units.
`void` `setCursor(double cursor)` Sets the cursor position.
`void` `setMax(double max)` Sets the maximum width/height.
`void` `setTicks(java.util.List ticks)` Sets the list of ticks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AxisState

    public AxisState()

Creates a new axis state.

#### AxisState

    public AxisState(double cursor)

Creates a new axis state.

Parameters:
  `cursor` - the cursor.

### Method Detail

#### getCursor

    public double getCursor()

Returns the cursor position.

Returns:
  The cursor position.

#### setCursor

    public void setCursor(double cursor)

Sets the cursor position.

Parameters:
  `cursor` - the cursor position.

#### moveCursor

    public void moveCursor(double units,
                  org.jfree.ui.RectangleEdge edge)

Moves the cursor outwards by the specified number of units.

Parameters:
  `units` - the units.
  `edge` - the edge.

#### cursorUp

    public void cursorUp(double units)

Moves the cursor up by the specified number of Java 2D units.

Parameters:
  `units` - the units.

#### cursorDown

    public void cursorDown(double units)

Moves the cursor down by the specified number of Java 2D units.

Parameters:
  `units` - the units.

#### cursorLeft

    public void cursorLeft(double units)

Moves the cursor left by the specified number of Java 2D units.

Parameters:
  `units` - the units.

#### cursorRight

    public void cursorRight(double units)

Moves the cursor right by the specified number of Java 2D units.

Parameters:
  `units` - the units.

#### getTicks

    public java.util.List getTicks()

Returns the list of ticks.

Returns:
  The list of ticks.

#### setTicks

    public void setTicks(java.util.List ticks)

Sets the list of ticks.

Parameters:
  `ticks` - the ticks.

#### getMax

    public double getMax()

Returns the maximum width/height.

Returns:
  The maximum width/height.

#### setMax

    public void setMax(double max)

Sets the maximum width/height.

Parameters:
  `max` - the maximum width/height.